Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 521200 - ps aborted with "double free or corruption"
ps aborted with "double free or corruption"
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: procps (Show other bugs)
4.8
All Linux
urgent Severity urgent
: rc
: ---
Assigned To: Jan Görig
Petr Šplíchal
: OtherQA, ZStream
Depends On:
Blocks: 485811 596759
  Show dependency treegraph
 
Reported: 2009-09-04 05:37 EDT by Tomas Smetana
Modified: 2018-10-27 10:53 EDT (History)
12 users (show)

See Also:
Fixed In Version: procps-3.2.3-8.18
Doc Type: Bug Fix
Doc Text:
Previously, an incomplete condition in ps could cause it to access the wrong memory. Due to this behavior, ps could fail and unexpectedly close. This update adds a condition in the code, and ps no longer fails.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-16 09:31:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Backported patch from bug #487700 (656 bytes, patch)
2009-09-04 05:38 EDT, Tomas Smetana
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0249 normal SHIPPED_LIVE procps bug fix update 2011-02-15 11:34:46 EST

  None (edit)
Description Tomas Smetana 2009-09-04 05:37:03 EDT
Description of problem:
The ps command sometimes crashes with the "double free or corruption" glibc error.

Version-Release number of selected component (if applicable):
procps-3.2.3-8.9

How reproducible:
Can't reproduce

Steps to Reproduce:
1. run "ps -e -o user -o pid -o ppid -o args"
  
Actual results:
Abort.

Expected results:
Normal run.

Additional info:
We are not able to reproduce the behaviour, however the reproducer in the customer's environment is the very same as in the bug #487700 and so is the fix (already tested and confirmed by the customer).  This is essentially a request to include the fix for bug #487700 also in the RHEL-4 procps.
Comment 1 Tomas Smetana 2009-09-04 05:38:34 EDT
Created attachment 359778 [details]
Backported patch from bug #487700

Tested and confirmed to fix the problem by the customer.
Comment 2 John Caruso 2009-09-09 15:05:45 EDT
We're seeing this bug as well on RHEL 4.8 with procps-3.2.3-8.17, and the reproducer from Bug 487700 works for us as well (and it didn't work the first few times, so if it's not working for you just keep trying it).  So please do include the fix in RHEL4's procps.
Comment 3 Siddhesh Poyarekar 2010-04-09 04:55:10 EDT
Bug 487700 comment 6 has a reproducer for this.
Comment 24 Florian Nadge 2011-01-12 08:39:21 EST
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause:

Consequence:

Fix:

Result:
Comment 25 Jan Görig 2011-01-12 11:15:27 EST
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1,7 +1,8 @@
 Cause:
-
+Uncomplete condition in ps.
 Consequence:
-
+ps crashes due to access to wrong memory
 Fix:
-
+Added additional condition.
-Result:+Result:
+ps doesn't crash now.
Comment 26 Florian Nadge 2011-01-13 07:21:11 EST
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1,8 +1 @@
-Cause:
+Previously, an incomplete condition in ps could cause it to access the wrong memory. Due to this behavior, ps could fail and unexpectedly close. This update adds a condition in the code, and ps no longer fails.-Uncomplete condition in ps.
-Consequence:
-ps crashes due to access to wrong memory
-Fix:
-Added additional condition.
-Result:
-ps doesn't crash now.
Comment 27 errata-xmlrpc 2011-02-16 09:31:14 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0249.html

Note You need to log in before you can comment on or make changes to this bug.